# Uses of Class
org.springframework.web.multipart.MultipartException

Packages that use MultipartException
Package
Description
org.springframework.web.multipart
Multipart resolution framework for handling file uploads.
org.springframework.web.multipart.support
Support classes for the multipart resolution framework.

## Uses of MultipartException in org.springframework.web.multipart

Subclasses of MultipartException in org.springframework.web.multipart
Modifier and Type
Class
Description
`class`
`MaxUploadSizeExceededException`
MultipartException subclass thrown when an upload exceeds the maximum upload size allowed.
Methods in org.springframework.web.multipart that throw MultipartException
Modifier and Type
Method
Description
`MultipartHttpServletRequest`
MultipartResolver.`resolveMultipart(HttpServletRequest request)`
Parse the given HTTP request into multipart files and parameters, and wrap the request inside a `MultipartHttpServletRequest` object that provides access to file descriptors and makes contained parameters accessible via the standard ServletRequest methods.

## Uses of MultipartException in org.springframework.web.multipart.support

Methods in org.springframework.web.multipart.support that throw MultipartException
Modifier and Type
Method
Description
`static void`
StandardServletPartUtils.`bindParts(HttpServletRequest request, org.springframework.beans.MutablePropertyValues mpvs, boolean bindEmpty)`
Bind all parts from the given servlet request.
`static org.springframework.util.MultiValueMap<String,Part>`
StandardServletPartUtils.`getParts(HttpServletRequest request)`
Retrieve all parts from the given servlet request.
`static List<Part>`
StandardServletPartUtils.`getParts(HttpServletRequest request, String name)`
Retrieve all parts with the given name from the given servlet request.
`MultipartHttpServletRequest`
StandardServletMultipartResolver.`resolveMultipart(HttpServletRequest request)`
Constructors in org.springframework.web.multipart.support that throw MultipartException
Modifier
Constructor
Description
``
`StandardMultipartHttpServletRequest(HttpServletRequest request)`
Create a new StandardMultipartHttpServletRequest wrapper for the given request, immediately parsing the multipart content.
``
`StandardMultipartHttpServletRequest(HttpServletRequest request, boolean lazyParsing)`
Create a new StandardMultipartHttpServletRequest wrapper for the given request.